body {
    width: 1366px;
    height: 768px;
    margin: 0 auto;
    background-image: url(../images/background2.jpg);
    background-position: center;
    background-repeat: no-repeat;
    font-family: 'Roboto', sans-serif;
    color: #FFFFFF;
}

a {
    text-decoration: none;
}

.container {
    width: 1023px;
    margin: 0 auto;
}

.container-head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 61px;
    padding-top: 51px;
}

.header-logo-text {
    width: 200px;
    display: grid;
    color: inherit;
    grid-template-columns: 54px 140px;
    column-gap: 8px;
    align-items: center;
}

.header-logo-text:hover {
    filter: invert(47%) sepia(65%) saturate(3071%) hue-rotate(350deg) brightness(100%) contrast(91%);
}

.header-logo-link {
    grid-column: 1 / 2;
    grid-row: 1 / 3;
    color: inherit;
}

.header-text {
    font-weight: 700;
    font-size: 18px;
    line-height: 18px;
    align-items: center;
    grid-column: 2 / 2;
    grid-row: 2 / 3;
    color: inherit;
}

.header-text-bold {
    font-size: 29px;
    line-height: 29px;
    grid-column: 2 / 2;
    grid-row: 1 / 2;
    align-self: self-end;
}

.header-contacts {
    display: grid;
    font-weight: 400;
    font-size: 18px;
    line-height: 18px;
    align-items: center;
    color: inherit;
}

.header-mail {
    color: inherit;
    align-self: self-start;
}

.header-mail:hover {
    color: #F26522;
}

.header-phone {
    color: inherit;
    align-self: self-end;
    text-align: end;
}

.header-phone:hover {
    color: #F26522;
}

.main-content {
    display: grid;
    grid-template-columns: repeat(3, 2fr);
    grid-template-rows: repeat(2, 2fr);
    row-gap: 37px;
    column-gap: 64px;
    text-align: center;
    margin-top: 22px;
    position: relative;
}

.main-content-section {
    position: relative;
}

.main-content-item {
    display: grid;
    row-gap: 20px;
}

.main-content-link {
    font-weight: 400;
    font-size: 18px;
    line-height: 18px;
    color: inherit;
}

.price-details {
    display: flex;
    justify-content: space-between;
    background-color: #ccc;
    width: 100%;
    visibility: hidden;
    position: absolute;
    bottom: -30px;
    left: 0;
    padding-bottom: 12px;
}

.main-content-section:hover .price-details {
    visibility: visible;
    bottom: 39px;
    left: 0;
    transition: 1s;
}

.main-content-section:hover .main-content-link {
    color: #ccc;
}

.price-text {
    display: flex;
    flex-direction: column;
    padding: 7px 0 0 16px;
}

.price-from {
    font-size: 10px;
    line-height: 10px;
    padding-bottom: 8px;
    font-weight: 400;
    align-self: start;
}

.price-price {
    font-size: 20px;
    line-height: 20px;
    font-weight: 400;
}

.price-details-link {
    font-size: 14px;
    line-height: 14px;
    font-weight: 400;
    align-self: end;
    padding-right: 20px;
}

.price-details-link::after {
    content: "";
    display: inline-block;
    width: 10px;
    height: 10px;
    border-top: 1px solid white;
    border-right: 1px solid white;
    transform: rotate(45deg);
    margin-left: 10px;
}

body.dark-theme {
    background-image: url(../images/background2.jpg);
    color: #FFFFFF;
}

body.dark-theme a {
    color: white;
}

body.light-theme {
    background-image: url(../images/Background.jpg);
    color: #2c2c2c;
}

body.light-theme a {
    color: #000000;
}

.main-content-link {
    font-weight: 400;
    font-size: 18px;
    line-height: 18px;
    color: inherit;
}

body.dark-theme .main-content-section:hover .main-content-link {
    color: #eba8fc;
}

body.light-theme .main-content-section:hover .main-content-link {
    color: #F26522;
}

#theme-toggle {
    padding: 10px 20px;
    background-color: #6e6e6e;
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 16px;
    cursor: pointer;
    font-family: 'Roboto', sans-serif;
}

body.dark-theme #theme-toggle {
    background-color: #6e6e6e;
}

body.light-theme #theme-toggle {
    background-color: #2c2c2c;
}

body.dark-theme #theme-toggle:hover {
    background-color: #ca04fc;
    color: #000000;
}

body.light-theme #theme-toggle:hover {
    background-color: #000;
    color: #F26522;
}

body.dark-theme .header-logo-text:hover {
    filter: invert(57%) sepia(89%) saturate(5038%) hue-rotate(287deg) brightness(92%) contrast(89%);
}

body.light-theme .header-logo-text:hover {
    filter: invert(47%) sepia(65%) saturate(3071%) hue-rotate(350deg) brightness(100%) contrast(91%);
}

body.dark-theme .header-mail:hover {
    color: #ca04fc;
}

body.light-theme .header-mail:hover {
    color: #F26522;
}

body.dark-theme .header-phone:hover {
    color: #ca04fc;
}

body.light-theme .header-phone:hover {
    color: #F26522;
}

body.dark-theme .price-details {
    background-color: #ca04fc;
}

body.light-theme .price-details {
    background-color: #ccc;
}

body.dark-theme .main-content-section:hover .price-details {
    background-color: #ca04fc;
}

body.light-theme .main-content-section:hover .price-details {
    background-color: #F26522;
}

footer {
    text-align: center;
    margin-top: 20px;
}